Fetch Authorization Data API (V2)

A cardholder sends the Authorization data request to the Credit+ Issuing system. Now, the system receives and processes the request and performs the necessary validations. Once the validations are successful, the cardholder will receive authorization data. If a validation fails, it sends the corresponding error in the response message.
NOTE: This API is used for the same purposes as ‘Auth. Data Fetch API (V1)’. However, this API is encrypted and has additional request and response attributes. Further this API, if sent with Card Number Alias (CNA), will fetch the corresponding associated device for further processing only if DEVICE _STATUS_CODE = NORMAL (0) OR (DEVICE_STATUS_CODE = UPGRADE (9) AND UPGRADE_STATUS = 1).

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
2010Successful
500913Backward offset time limit violated
400902Invalid device
400997No of days allowed exceeds for Auth fetch request range 30 days
400997Form Factor Type field is mandatory.
400997Form Factor field is mandatory.
400997From Date field is mandatory.
400997TO Date field is mandatory.
400144Invalid card pack id
400997Channel must have value API
404916No record found.
400997From Date field must be in ddMMyyyy format.
400997To Date field must be in ddMMyyyy format.
400997Program Code field value must have max length 10.
400997No of days allowed exceeds for Auth fetch request 'range '30' days.
400997Form Factorfield value must have min length 10.
400997Form Factor field value must have max length 24.
400997Product Type field is invalid.
400997Auth Type field value must have max length 1.
400997Device Plan field value must have max length 10.
400994Invalid Request - Unrecognized field
400CNA002Card Number Alias Functionality is not applicable for thisInstitution
404916Device does not exist for given CNA.
417920Too many records found, kindly refine the search criteria.
400991More than 40 records found, kindly refine the search criteria.
400CNA006Error while fetching device details.
400ISE40011User or Bank does not support API.
400997Auth Type field is invalid.
400994Invalid Encryption Request Parameters
400994Cryptography error
400994Invalid Encryption-Algorithm header value
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required
length ≤ 3

Identifies if it is a Card Number, Card Pack ID, or Card Number Alias. Must be CRD (Card Number), CPI (Card Pack ID), or CNA (Card Number Alias). CNA valid only if CNA functionality is turned on for the institution. Length: 3.

Allowed:
string
required
length between 10 and 24

Card Number, Card Pack ID, or Card Number Alias depending on the formFactorType value. Not NULL. Maximum length: 24. Minimum length: 10 (not applicable for CNA).

string
required
^[0-9]{8}$

Date from which the authorization data needs to be sent in response. Format: DDMMYYYY. Must be less than or equal to the institution date. The difference between fromDate and toDate cannot be more than 30 days.

string
required
^[0-9]{8}$

Date till which the authorization data needs to be sent in response. Format: DDMMYYYY. Must be less than or equal to the institution date. The difference between fromDate and toDate cannot be more than 30 days.

string
enum
length ≤ 1

Indicates whether data for rejected authorization requests will be sent in response. Must be N (Only successful authorizations, default) or Y (Include rejected authorizations). Length: 1.

Allowed:
string
enum
length ≤ 1

Indicates whether data for posted and/or unposted authorization requests will be sent in response. Must be 0 (Unposted), 1 (Posted), or 2 (Both).

Allowed:
string

The channel through which the request is received. No validation on channel for this API.

string
enum

Product type of Device. Must be P (Pre-paid), C (Credit), or D (Debit). Required only when formFactorType is CNA and multiple devices are linked with same CNA.

Allowed:
string
length ≤ 10
^[a-zA-Z0-9]{1,10}$

Device Plan Code attached with the device. Alphanumeric. Maximum Length: 10. Required only when formFactorType is CNA and multiple devices are linked with same CNA.

string
length ≤ 10
^[a-zA-Z0-9]{1,10}$

Program attached to the device. Alphanumeric. Maximum Length: 10. Required only when formFactorType is CNA and multiple devices are linked with same CNA.

string
required
^[0-9]+$

Current UTC timestamp in milliseconds. Numeric. AES key expiration criteria depends on input UTC timestamp. Applicable only for encrypted requests.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string
enum
required

API Consumer must share Encryption-Algorithm as a key (value: DES168) in HTTP header in order to encrypt the API requests.

Allowed:
string

API Consumer can share Source in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json